<?php 
session_start();

require('../cfg/res.php');
require('../cfg/cfg.php');
?>
<?php

$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime($fecha1)) ;
$xfecha1 = date ( 'Y/m/j' , $nuevafecha );
$xfecha1= date('Y/m/'.'1');
$xfecha2= date('Y/m/d');

$sql_datesp='SET lc_time_names = "es_UY"';
$res_datesp=mysql_query($sql_datesp,$link_vcrx);



$xfmaes='';
if(isset($_POST['fmaes']) && !empty($_POST['fmaes']))
{$xfmaes=$_POST['fmaes'];}

$xfmaes=strtolower($xfmaes);



$sql_maes0='update '.$xfmaes.'0 set '.$xfmaes.'_tipo="" where '.$xfmaes.'_tipo is null';
$res_maes0=mysql_query($sql_maes0,$link_vcrx);

$sql_maes0='update '.$xfmaes.'0 set '.$xfmaes.'_status="-" where '.$xfmaes.'_status is null';
$res_maes0=mysql_query($sql_maes0,$link_vcrx);

$sql_maes0='update '.$xfmaes.'0 set '.$xfmaes.'_codigo=upper('.$xfmaes.'_codigo) ';
$res_maes0=mysql_query($sql_maes0,$link_vcrx);

$sql_maes0='update '.$xfmaes.'0 set '.$xfmaes.'_descri=upper('.$xfmaes.'_descri) ';
$res_maes0=mysql_query($sql_maes0,$link_vcrx);


$xftipo='';
if(isset($_POST['ftipo']) && !empty($_POST['ftipo']))
{$xftipo=$_POST['ftipo'];}


$xfcodi='';
if(isset($_POST['fcodi']) && !empty($_POST['fcodi']))
{$xfcodi=$_POST['fcodi'];}

$xfdesc='';
if(isset($_POST['fdesc']) && !empty($_POST['fdesc']))
{$xfdesc=$_POST['fdesc'];}


$sql_maesl='select * from '.$xfmaes.'00 limit 1 ';
if(mysql_query($sql_maesl,$link_vcrx))
{$sql_maesl='select * from '.$xfmaes.'00 where ';}
else
{$sql_maesl='select * from '.$xfmaes.'0 where ';}

$sql_maesl.='(';

if(isset($_POST['fecha_ini']) && !empty($_POST['fecha_ini']) && isset($_POST['fecha_fin']) && !empty($_POST['fecha_fin']))
{
	$xfecha1=$_POST['fecha_ini'];
	$xfecha2=$_POST['fecha_fin'];
}


// 	$xanios=date('Y',strtotime($xfecha2b))-date('Y',strtotime($xfecha1b))+1;
// 	$xanio1=date('Y',strtotime($xfecha1b));
// 	$xanio2=date('Y',strtotime($xfecha2b));

// 	$dias=intval(strtotime($xfecha2b) - strtotime($xfecha1b))/60/60/24;
//   $anios=date('Y',strtotime($xfecha2))-date('Y',strtotime($xfecha1));

$sql_maesl.='1=1';
$sql_maesl.=')';

$sql_maesl=str_replace(')(',')||(',$sql_maesl);

// if (mb_stristr('bldn',$xfmaes)){$sql_maesl.=' and  ('.$xfmaes.'_fecha1 between "'.$xfecha1.'" and "'.$xfecha2.'")';}
if (mb_stristr('bldn',$xfmaes)){$sql_maesl.=' and  ('.$xfmaes.'_fecha2 between "'.$xfecha1.'" and "'.$xfecha2.'")';}

if($xftipo!=""){$sql_maesl.=' and  ('.$xfmaes.'_tipo like "'.$xftipo.'%")';}
if($xfcodi!=""){$sql_maesl.=' and  ('.$xfmaes.'_codigo like "'.$xfcodi.'%")';}
if($xfdesc!=""){$sql_maesl.=' and  ('.$xfmaes.'_descri like "%'.$xfdesc.'%")';}



	$sql_maesl.=' and('.$xfmaes.'_status!="X") ';
	$sql_maesl.=' and('.$xfmaes.'_status!="O") ';


$xforde='D';
if(isset($_POST['forde']) && !empty($_POST['forde']))
{$xforde=$_POST['forde'];}

switch ($xforde)
{
	case 'D':$xorder=$xfmaes.'_tipo,'.$xfmaes.'_descri,'.$xfmaes.'_codigo';break;
	case 'C':$xorder=$xfmaes.'_tipo,'.$xfmaes.'_codigo,'.$xfmaes.'_codigo';break;
	default :$xorder=$xfmaes.'_tipo,'.$xfmaes.'_descri,'.$xfmaes.'_codigo';break;
}

if (mb_stristr('ctas',$xfmaes)){$xorder=$xfmaes.'_codigo';}


//echo $xforde.'*';

$sql_maesl.=' order by '.$xorder;

// echo $sql_maesl;
$res_maesl=mysql_query($sql_maesl,$link_vcrx);
$totreg = mysql_num_rows($res_maesl);


echo str_repeat('-',date('s')*2).'';

?>
<table id="tabla_cxccli" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr style="border-bottom:#000000 solid 2px; ">
	<th align="center">M</th>
  <th align="center">I</th>
	<th>TIPO</th>
	<th>CODIGO</th>
	<th>DESCRI</th>
	<?php if(mb_stristr('bldn',$xfmaes) ){?>
<!-- 	<th>MASTER</th> -->
<!-- 	<th>HOUSE</th> -->
	<th>JOB</th>
	<th>BOOKING</th>
	<th>CONSGINATARIO</th>
	<th>MANIFIESTO</th>
	<th>AGENTE</th>
	<th>VENDEDOR</th>
	<th>NAVE</th>
	<th>PUERTO</th>
	<th>FECHAS</th>
	<th>PESO</th>
	<th>CARGA</th>
	<?php }?>
	<th></th>
</tr>

<?php 
$filax=0;
while($r_maesl=mysql_fetch_assoc($res_maesl))
{
// $duni=$r_maesl[$xfmaes.'_duni'];
?>
<tr class="filax" id="<?php echo $r_maesl['idnum1']; ?>" align="center" valign="top" style=" <?php if($filax>=4){echo 'border-top:dotted 1px #000;';$filax=1;}else{$filax++;} ?>" >

<td align="center">
	<a href="nitem.php?idx=<?php echo $r_maesl[$xfmaes.'_codigo']; ?>" target="_blank">
	<img src="http://vcrxol.com/_img/ico_edit.png" width="20" title="Modificar  <?php echo $r_maesl[$xfmaes.'_codigo'];?>"  />
	</a>
	</td>
<td align="center">
	<a href="fitem.php?idx=<?php echo $r_maesl[$xfmaes.'_codigo'];?>"  target="_blank">
	<img src="http://vcrxol.com/_img/print2.png" width="20"/>
	</a>
<!--   <input type="image"  src="http://vcrxol.com/_img/barcode.png" width="20"  title="Imprimir ETQ <?php echo $r_maesl[$xfmaes.'_codigo'];?>" onclick="abriretiqueta(<?php echo $r_maesl[$xfmaes.'_codigo'];?>);" /> -->
	</td>
	
	<td align="center"><?php echo'<span title="'.$r_maesl[$xfmaes.'_tipo'].'">'.$r_maesl[$xfmaes.'_tipo'].'</span>';?></td>
<?php if (mb_stristr('ctas.enti.item.bldn',$xfmaes) ){?>
<td align="left">
<?php }else{ ?>	
<td align="center">
<?php }?>	
		<a href="#" onClick="entil1d('<?php echo $xfmaes; ?>','<?php echo $r_maesl[$xfmaes.'_codigo']; ?>',this);">
		<?php echo '<div><span title="'.$r_maesl[$xfmaes.'_codigo'].'">'.$r_maesl[$xfmaes.'_codigo'].'</span></div>';?>
		</a> 
		</td>
	<td align="left">
		<?php echo'<div><span title="'.$r_maesl[$xfmaes.'_descri'].'">'.$r_maesl[$xfmaes.'_descri'].'</span></div>';?>
	</td>
	<?php if(mb_stristr('bldn',$xfmaes) ){?>
	<td align="left">	<?php echo $r_maesl[$xfmaes.'_job'];?>	</td>
	<td align="left">	<?php echo $r_maesl[$xfmaes.'_booking'];?>	</td>
	<td align="left"> <?php echo $r_maesl['enti_descri'];?>	</td>
	<td align="left">	<?php echo $r_maesl[$xfmaes.'_manifiesto'];?>	</td>
	<td align="left">	<?php echo $r_maesl[$xfmaes.'_agente'];?>	</td>
	<td align="left"> <?php echo'<div><span title="'.$r_maesl['vndd_descri'].'">'.$r_maesl[$xfmaes.'_vndd'].'</span></div>';?> </td>
	<td align="left"> <?php echo'<div><span title="'.$r_maesl['nave_descri'].'">'.$r_maesl[$xfmaes.'_nave1'].'</span></div>';?> </td>
	<td align="left"> <?php echo'<div><span title="'.$r_maesl['port_descri'].'">'.$r_maesl[$xfmaes.'_port1'].'</span></div>';?> </td>
	<td align="center" style="font-size:10px;">	
		<?php echo date_format(date_create($r_maesl[$xfmaes.'_fecha1']),"d-M-y");?>	
		<br>
		<?php echo date_format(date_create($r_maesl[$xfmaes.'_fecha2']),"d-M-y");?>	
	</td>
	<td align="right">&nbsp;<?php echo number_format($r_maesl[$xfmaes.'_peso'],2);?>	</td>
	<td align="left" >	<?php echo $r_maesl[$xfmaes.'_carga'];?>	</td>
	<?php }?>
	<td align="center" style="font-family:courier;"><?php echo'<span title="'.$r_maesl[$xfmaes.'_idate'].'"><font size="1">'.date_format(date_create($r_entil[$xfmaes.'_idate']),"d-m-y H:i:s").'</font></span>';?></td>

	
</tr>
<?php }?>


</table>
</div>